/2025-01/marketing-solutions/audience-segments/{audience-segment-id}/contact-list
curl --request PATCH \
--url https://api.criteo.com/2025-01/marketing-solutions/audience-segments/{audience-segment-id}/contact-list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"attributes": {
"identifiers": [
"<string>"
],
"gumCallerId": 123
},
"type": "ContactlistAmendment"
}
}
'import requests
url = "https://api.criteo.com/2025-01/marketing-solutions/audience-segments/{audience-segment-id}/contact-list"
payload = { "data": {
"attributes": {
"identifiers": ["<string>"],
"gumCallerId": 123
},
"type": "ContactlistAmendment"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: {
attributes: {identifiers: ['<string>'], gumCallerId: 123},
type: 'ContactlistAmendment'
}
})
};
fetch('https://api.criteo.com/2025-01/marketing-solutions/audience-segments/{audience-segment-id}/contact-list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"type": "ContactlistAmendment",
"attributes": {
"contactListId": 12,
"operation": "add",
"requestDate": "2018-12-10T10:00:50.0000000+00:00",
"identifierType": "madid",
"nbValidIdentifiers": 7343,
"nbInvalidIdentifiers": 13,
"sampleInvalidIdentifiers": [
"InvalidIdentifier"
]
}
},
"errors": [],
"warnings": [
{
"traceId": "56ed4096-f96a-4944-8881-05468efe0ec9",
"type": "deprecation",
"code": "deprecated-field",
"instance": "/audiences/314195",
"title": "'nbValidIds' is deprecated",
"detail": "The field 'nbValidIds' is deprecated please use 'nbValidIdentifiers"
}
]
}/2025-01/marketing-solutions/audience-segments/{audience-segment-id}/contact-list
Add/remove identifiers to or from a contact list audience-segment.
PATCH
/
2025-01
/
marketing-solutions
/
audience-segments
/
{audience-segment-id}
/
contact-list
/2025-01/marketing-solutions/audience-segments/{audience-segment-id}/contact-list
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The id of the contact list audience-segment to amend
Body
application/json
Request for a contactlist amendment
Parameters for the amendment of a contactlist
Show child attributes
Show child attributes
Was this page helpful?
/2025-01/marketing-solutions/audience-segments/{audience-segment-id}/contact-list
Previous
/2025-01/marketing-solutions/audience-segments/{audience-segment-id}/contact-list/statistics
Next
⌘I